Bug 1285672 - Bird should start in foreground in the systemd unit
Summary: Bird should start in foreground in the systemd unit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: bird
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislav Kozina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-26 08:54 UTC by Warren Turkal
Modified: 2018-12-07 02:37 UTC (History)
5 users (show)

Fixed In Version: bird-1.6.4-2.el7 bird-1.6.4-2.fc28 bird-1.6.4-2.fc29
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 00:43:12 UTC


Attachments (Terms of Use)
Run bird in foreground (301 bytes, patch)
2015-11-26 08:54 UTC, Warren Turkal
no flags Details | Diff
another patch (3.10 KB, patch)
2017-04-14 11:27 UTC, Marcel Haerry
no flags Details | Diff

Description Warren Turkal 2015-11-26 08:54:34 UTC
Created attachment 1099170 [details]
Run bird in foreground

Description of problem:
The systemd unit file doesn't run bird in a good way to integrate with the systemd journal.


Version-Release number of selected component (if applicable):
bird-1.4.5-1.el7.x86_64

How reproducible:
Always able to reproduce.


Steps to Reproduce:
1. install bird package
2. run "systemctl start bird.service"

Actual results:
The command used to exec the service is "/usr/sbin/bird". This results in bird daemonizing itself. Also, when I have "log stderr all", I see no logs from bird after start.


Expected results:
The command used should be "/usr/sbin/bird -f" so that bird runs in the foreground and integrates better with the systemd journal.


Additional info:
I added an attachment with a patch for the unit file at /usr/lib/systemd/system/bird.service.

Comment 1 Warren Turkal 2015-12-09 00:14:56 UTC
I haven't seen any feedback on this request. I was wondering, does this seem like a reasonable change to make?

Comment 2 Stanislav Kozina 2016-05-05 11:06:55 UTC
Hi Warren,
Thank you for your request and sorry for reaaaaly long delay in my reply. Yes, it seems perfectly reasonable, I'll take a look at it. Thanks!

Comment 3 Warren Turkal 2016-05-05 17:29:43 UTC
Sweet, thanks for the reply.

Comment 4 Marcel Haerry 2017-04-14 11:27:07 UTC
Created attachment 1271651 [details]
another patch

Attached is a patch against the current master of the fedpkg repository.

This also addresses things raised in #1397574

I'm happy to help with the package if you need more support.

Comment 5 Fedora Update System 2018-11-12 16:00:13 UTC
bird-1.6.4-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8f0d2429d3

Comment 6 Fedora Update System 2018-11-12 16:00:33 UTC
bird-1.6.4-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6aada550ca

Comment 7 Fedora Update System 2018-11-13 04:07:20 UTC
bird-1.6.4-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8f0d2429d3

Comment 8 Fedora Update System 2018-11-13 04:49:22 UTC
bird-1.6.4-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6aada550ca

Comment 9 Fedora Update System 2018-11-19 15:58:36 UTC
bird-1.6.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c25e48ded1

Comment 10 Fedora Update System 2018-11-20 18:38:18 UTC
bird-1.6.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c25e48ded1

Comment 11 Fedora Update System 2018-12-07 00:43:12 UTC
bird-1.6.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-12-07 02:13:44 UTC
bird-1.6.4-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-12-07 02:37:12 UTC
bird-1.6.4-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.